#.
#Client-only settings - If you're looking for general settings, look inside your worlds serverconfig folder!
[client]
	#.
	#Show extended debug info in coupler goggle overlay
	showExtendedCouplerDebug = false
	#.
	#Skip clientside train derailing. This prevents stuttering when a train places tracks, but trains will not appear derailed when they crash
	skipClientDerailing = false
	#.
	#Use a scanline shader when spying through a conductor
	useConductorSpyShader = true
	#.
	#Vertical offset for track overlays
	# Default: 0.0
	# Range: -256.0 ~ 256.0
	trackOverlayOffset = 0.0
	#.
	#Whether to actually apply the dev cape (ignored for non-devs)
	#This setting may require a relog to take effect
	useDevCape = true
	#.
	#Should the normal create conductor cap be rendered on top of the conductors existing hat?
	renderNormalCap = true
	#.
	#Should flywheels and blocks extending the FlywheelBlock class be animated when apart of trains?
	animatedFlywheels = true
	#.
	#Speed multiplier for flywheel animations on trains (0.1 = slow, 0.5 = default, 1.0 = fast)
	# Default: 0.5
	# Range: 0.0 ~ 1.0
	flywheelSpeedMultiplier = 0.5
	#.
	#Don't show the Create: Blocks & Bogies incompatibility warning on the title screen
	hideBlocksAndBogiesIncompatibilityWarning = true

	#.
	#Smoke Settings
	[client.smoke]
		#.
		#Smoke particle style
		#Allowed Values: VANILLA, OLD, CARTOON
		smokeType = "CARTOON"

		#.
		#Old-style Smoke Settings
		[client.smoke.old]
			#.
			#[in Ticks]
			#Lifetime of smoke particles emitted by contraptions
			# Default: 500
			# Range: 20 ~ 1000
			smokeLifetime = 500
			#.
			#Smoke emission rate on contraptions
			# Default: 0.75
			# Range: 0.0 ~ 10.0
			smokePercentage = 0.75
			#.
			#Smoke texture quality
			#Allowed Values: LOW, MEDIUM, HIGH, ULTRA
			smokeQuality = "HIGH"
			#.
			#Thicker smoke (renders 2 extra layers per particle)
			thickerSmoke = true

		#.
		#Cartoon-style Smoke Settings
		[client.smoke.cartoon]
			#.
			#Spawn faster-rising small puffs of smoke on an interval
			spawnFasterPuffs = true
			#.
			#Spawn steam on an interval
			spawnSteam = false
